Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class View.CaseInsensitive

    java.lang.Object
      org.mortbay.io.AbstractBuffer
          org.mortbay.io.View
              org.mortbay.io.View.CaseInsensitive

All Implemented Interfaces:
  java.lang.Cloneable, Buffer, Buffer.CaseInsensitve

Enclosing class:
  View

    public static class View.CaseInsensitive

extends View
implements Buffer.CaseInsensitve

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.View
`View.CaseInsensitive`

Nested classes/interfaces inherited from interface org.mortbay.io.Buffer
`Buffer.CaseInsensitve`

Field Summary

Fields inherited from class org.mortbay.io.AbstractBuffer
`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

Fields inherited from interface org.mortbay.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Constructor Summary
`View.CaseInsensitive()`
`View.CaseInsensitive(Buffer buffer)`
`View.CaseInsensitive(Buffer buffer, int mark, int get, int put, int access)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class org.mortbay.io.View
`array, buffer, capacity, clear, compact, isReadOnly, isVolatile, peek, peek, peek, poke, poke, poke, toString, update, update`

Methods inherited from class org.mortbay.io.AbstractBuffer
`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, duplicate, equalsIgnoreCase, get, get, get, getIndex, hasContent, hashCode, isImmutable, length, mark, mark, markIndex, peek, put, put, put, put, putIndex, readFrom, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, space, toDebugString, toDetailString, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### View.CaseInsensitive

    public View.CaseInsensitive()

### View.CaseInsensitive

    public View.CaseInsensitive(Buffer buffer,
                                int mark,
                                int get,
                                int put,
                                int access)

### View.CaseInsensitive

    public View.CaseInsensitive(Buffer buffer)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `View`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.